Subject: RE: bug#7524: 24.0.50; backquote converts newlines in strings to "\n"

From: "Drew Adams" <[email-masked]>
Date: Wed, 1 Dec 2010 10:42:04 -0800

> Since the type you use is (sexp :tag "Command"), you give relatively
> little information to Custom about what it can look like (not that the
> type is wrong, actually).

Actually, I also tried this, but it seemed to make no difference:

(repeat (choice
         (cons :tag "Item"
          (string :tag "Name")
          (restricted-sexp
           :tag "Command"
           :match-alternatives (commandp)))
         (list :tag "Separator" (const "--"))))

And for the default value that causes a `mismatch' in older Emacs versions (20
through 23) for some reason - so I reverted to just `sexp'.

(Can you see anything wrong with that type spec?  Dunno why older versions give
the value a `mismatch'.)
 
> And yes, Custom should probably try to wrap lines somehow in 
> such cases (e.g. pretty-print the sexp).  During the wrapping,
> it could convert the \n in strings into actual LF chars.

Thanks.  I don't know the difference between the buglist wishlist status and the
Emacs TODO list.  I imagine that the difference is that almost anything that any
user requests gets put on the wishlist but only things that Emacs Dev thinks are
important get put on the TODO list.  But either is OK, I guess.